al_get_next_event(3)

NAME

al_get_next_event - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_get_next_event(ALLEGRO_EVENT_QUEUE *queue, ALLEGRO_EVENT *ret_event)

DESCRIPTION

Take the next event out of the event queue specified, and copy the contents into ret_event, returning true. The original event will be removed from the queue. If the event queue is empty, return false and the contents of ret_event are unspecified.

SEE ALSO

ALLEGRO_EVENT(3), al_peek_next_event(3), al_wait_for_event(3)